Version 0.1.9 from FTP
authorMark Spencer <markster@digium.com>
Mon, 27 Aug 2001 16:37:17 +0000 (16:37 +0000)
committerMark Spencer <markster@digium.com>
Mon, 27 Aug 2001 16:37:17 +0000 (16:37 +0000)
git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@355 65c4cc65-6c06-0410-ace0-fbb531ad65f3

redhat/asterisk [new file with mode: 0755]
redhat/asterisk.spec [new file with mode: 0755]

diff --git a/redhat/asterisk b/redhat/asterisk
new file mode 100755 (executable)
index 0000000..a6d4f9a
--- /dev/null
@@ -0,0 +1,45 @@
+#!/bin/bash
+#
+# chkconfig: 2345 99 15
+# description: Open source PBX 
+# processname: asterisk
+
+# source function library
+. /etc/rc.d/init.d/functions
+
+RETVAL=0
+
+case "$1" in
+  start)
+       echo -n "Starting Asterisk PBX: "
+       /sbin/modprobe ixj      
+       daemon /usr/sbin/asterisk
+       RETVAL=$?
+       echo
+       [ $RETVAL -eq 0 ] && touch /var/lock/subsys/asterisk
+       ;;
+  stop)
+       echo -n "Shutting Asterisk PBX: "
+       killproc asterisk
+       /sbin/rmmod -r ixj      
+       RETVAL=$?
+
+       echo
+       [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/asterisk
+       ;;
+  restart|reload)
+       $0 stop
+       $0 start
+       RETVAL=$?
+       ;;
+  status)
+       status asterisk
+       RETVAL=$?
+       ;;
+  *)
+       echo "Usage: asterisk {start|stop|status|restart|reload}"
+       exit 1
+esac
+
+exit $RETVAL
+
diff --git a/redhat/asterisk.spec b/redhat/asterisk.spec
new file mode 100755 (executable)
index 0000000..3688af2
--- /dev/null
@@ -0,0 +1,75 @@
+Summary: Asterisk PBX
+Name: asterisk
+Distribution: RedHat
+Version: 
+Release: 1
+Copyright: Linux Support Services, inc.
+Group: Utilities/System
+Vendor: Linux Support Services, inc.
+Packager: Robert Vojta <vojta@ipex.cz>
+BuildRoot: /tmp/asterisk
+
+%description
+Asterisk is an Open Source PBX and telephony development platform that
+can both replace a conventional PBX and act as a platform for developing
+custom telephony applications for delivering dynamic content over a
+telephone similarly to how one can deliver dynamic content through a
+web browser using CGI and a web server.
+
+Asterisk talks to a variety of telephony hardware including BRI, PRI, 
+POTS, and IP telephony clients using the Inter-Asterisk eXchange
+protocol (e.g. gnophone or miniphone).  For more information and a
+current list of supported hardware, see www.asteriskpbx.com.
+
+%post
+ln -s /var/spool/asterisk/vm /var/lib/asterisk/sounds/vm
+
+%files
+#
+# Configuration files
+#
+%attr(0755,root,root) %dir    /etc/asterisk
+%attr(0640,root,root) %config /etc/asterisk/*.conf
+
+#
+# RedHat specific init script file
+#
+%attr(0755,root,root)       /etc/rc.d/init.d/asterisk
+
+#
+# Include files
+#
+%attr(0755,root,root) %dir /usr/include/asterisk
+%attr(0644,root,root)      /usr/include/asterisk/*.h
+
+#
+# Modules
+#
+%attr(0755,root,root) %dir /usr/lib/asterisk
+%attr(0755,root,root) %dir /usr/lib/asterisk/modules
+%attr(0755,root,root)      /usr/lib/asterisk/modules/*.so
+
+#
+# Asterisk
+#
+%attr(0755,root,root)      /usr/sbin/asterisk
+
+#
+# Sound files
+#
+%attr(0755,root,root) %dir /var/lib/asterisk
+%attr(0755,root,root) %dir /var/lib/asterisk/sounds
+%attr(0644,root,root)      /var/lib/asterisk/sounds/*.gsm
+%attr(0755,root,root) %dir /var/lib/asterisk/sounds/digits
+%attr(0644,root,root)      /var/lib/asterisk/sounds/digits/*.gsm
+%attr(0755,root,root) %dir /var/lib/asterisk/images
+%attr(0644,root,root)      /var/lib/asterisk/images/*
+
+#
+# Example voicemail files
+#
+%attr(0755,root,root) %dir /var/spool/asterisk
+%attr(0755,root,root) %dir /var/spool/asterisk/vm
+%attr(0755,root,root) %dir /var/spool/asterisk/vm/1234
+%attr(0755,root,root) %dir /var/spool/asterisk/vm/1234/INBOX
+%attr(0644,root,root)      /var/spool/asterisk/vm/1234/*.gsm